const train = require('../services/trainService.services');

async function getByHeadcodeToday(req, res, next){
  try {
    var searchHeadcode = req.params.id;
    res.json(await train.findByHeadcodeToday(searchHeadcode));
  } catch (err) {
    console.error('Unknown Error', err.message);
    err.status = 500;
    next(err);
  }
}

module.exports = {
  getByHeadcodeToday
};